petsc-3.10.5 2019-03-28
Report Typos and Errors

# KSPGetDiagonalScale

Checks if KSP solver scales the matrix and right hand side

### Synopsis

    #include "petscksp.h"
    PetscErrorCode  KSPGetDiagonalScale(KSP ksp,PetscBool  *scale)

Not Collective

### Input Parameter

ksp -the KSP context

### Output Parameter

scale -PETSC_TRUE or PETSC_FALSE

### Notes

BE CAREFUL with this routine: it actually scales the matrix and right hand side that define the system. After the system is solved the matrix and right hand side remain scaled unless you use KSPSetDiagonalScaleFix()

### Keywords

set, options, prefix, database

### See Also

KSPSetDiagonalScale(), KSPSetDiagonalScaleFix(), KSP

### Level

intermediate

### Location

src/ksp/ksp/interface/itfunc.c
Index of all KSP routines
Table of Contents for all manual pages
Index of all manual pages